WIFI-Voucher Unit environment file:
  file.managed:
    - name: /etc/default/wifi-voucher
    - source: salt://wifi-voucher/files/voucher.env.jinja
    - template: jinja
    - user: root
    - group: voucher
    - mode: "0640"

WIFI-Voucher unit service file:
  file.managed:
    - name: /etc/systemd/system/wifi-voucher.service
    - source: salt://wifi-voucher/files/wifi-voucher.service
    - user: root
    - group: root
    - mode: "0644"

SystemD Reload:
  cmd.run:
    - name: systemctl --system daemon-reload
    - onchanges:
      - file: WIFI-Voucher unit service file

Start wifi-voucher:
  service.running:
    - name: wifi-voucher
    - enable: True
    - watch:
      - file: WIFI-Voucher Unit environment file
      - file: WIFI-Voucher unit service file
      - cmd: SystemD Reload
